% FIGURE 4.9.1
%                             N = NUMBER OF GRID POINTS
      N = 100;
      M = 2*N-2;
      DX = 1.0/N;
%                             THE COLUMNS OF A ARE THE DIAGONALS OF THE
%                             MATRIX.  B IS THE RIGHT HAND SIDE.
      for I=1:M
         B(I) = 0.0;
         A(I,1) = 1.0;
         A(I,2) = 0.0;
         A(I,3) =-2.0;
         A(I,4) = 0.0;
         if (mod(I,2) == 1)
             A(I,4) = -DX^2;
         end
         A(I,5) = 1.0;
      end
      B(M-1) = -1.0;
      A(2,2) = 2/DX^2;
%                             CALL LBAND0
      L = 2;
      U = LBAND0(A,B,M,L);
%                             CALCULATE MAXIMUM ERROR IN U (ODD
%                             COMPONENTS OF SOLUTION VECTOR)
      ERMAX = 0.0;
      for I=1:N-1
         XI = I*DX;
         SOL = -0.5*XI^3 + 1.5*XI^2;
         ERMAX = max(ERMAX,abs(U(2*I-1)-SOL));
      end
      ERMAX
